//
//  YHHomeViewController.swift
//  galaxy
//
//  Created by EDY on 2023/12/20.
//

import UIKit
import SmartCodable

//服务中心
class YHIntelligentServiceViewController: YHBaseViewController {
    
    private lazy var topBkg : UIView = {
        let imagV = UIImageView()
        imagV.image = UIImage(named: "service_center_head_bkg")
        imagV.contentMode = .scaleAspectFill
        return imagV
        
    }()
    
    private let loginTipsView : YHLoginTipsView = {
        let view = YHLoginTipsView()
        view.viewType = 0
        view.isHidden = true
        return view
    }()
    
    private let noDataView : YHLoginTipsView = {
        let view = YHLoginTipsView()
        view.viewType = 1
        view.isHidden = true
        return view
    }()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        initView()
    }
    
    func initView() {
        gk_navTitle = "服务中心"
        gk_navBarAlpha = 1.0
        
        view.addSubview(topBkg)
        topBkg.snp.makeConstraints { make in
            make.top.left.right.equalToSuperview()
            make.height.equalTo(216)
        }
        
        view.addSubview(loginTipsView)
        loginTipsView.snp.makeConstraints { make in
            make.centerX.equalToSuperview()
            make.centerY.equalToSuperview().offset(-64)
            make.width.equalTo(KScreenWidth)
        }
        
        view.addSubview(noDataView)
        noDataView.snp.makeConstraints { make in
            make.centerX.equalToSuperview()
            make.centerY.equalToSuperview().offset(-64)
            make.width.equalTo(KScreenWidth)
        }
        noDataView.isHidden = false
    }
}
